glx-alternatives (0.8.3~deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Continue building glx-alternative-fglrx for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 May 2018 01:21:34 +0200

glx-alternatives (0.8.3~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.
  * Revert to debhelper compat level 9.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 May 2018 23:41:35 +0200

glx-alternatives (0.8.3) unstable; urgency=medium

  * Divert libGL.so.1.7.0, libGLESv1_CM.so.1.2.0, libGLESv2.so.2.1.0,
    libEGL.so.1.1.0 that will be used by the next libglvnd upstream release.
  * Update validation of the diverted libGL.so.1 symlink.  (Closes: #879041)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Feb 2018 01:57:38 +0100

glx-alternatives (0.8.2) unstable; urgency=medium

  * Remove support for MESA libraries in /usr/lib/<triplet>/mesa/, the libs
    never moved there.
  * Remove support for libGLcore.so.1 and libnvidia-tls.so.1 alternatives,
    only needed for 173xx and older legacy drivers.
  * glx-alternative-nvidia: Provide the libnvidia-cfg.so.1 alternative for
    bumblebee and cuda-only users.  (Closes: #888461)
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Switch to debhelper compat level 11.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Jan 2018 21:51:10 +0100

glx-alternatives (0.8.1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Set Rules-Requires-Root: no.
  * Refresh debian/copyright from dh_make templates.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Nov 2017 06:00:23 +0100

glx-alternatives (0.8.0) unstable; urgency=medium

  [ Andreas Beckmann ]
  * glx-diversions: Divert libGL.so.1.0.0 as shipped by libgl1 from
    src:libglvnd.
  * glx-alternative-nvidia: Preliminary support for libGL.so.1 from libglvnd.
  * Use explicit interest-await triggers.
  * Drop glx-alternative-fglrx.
  * Switch to debhelper compat level 10.
  * Bump Standards-Version to 4.0.1. No changes needed.
  * Update Lintian overrides.

  [ Luca Boccassi ]
  * Add manpage for update-glx.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 13 Aug 2017 07:51:40 +0200

glx-alternatives (0.7.4) unstable; urgency=medium

  * glx-alternative-nvidia: Bump some Breaks to account for newer
    nvidia-driver(-legacy-*) releases in stretch.  (Closes: #803793)
  * glx-diversions: Depend on glx-alternative-mesa (and not the other way
    around) to ensure we never end up with diversions but no alternatives.
    (Closes: #807148)
  * Stop using dh_installdocs --link-doc and clean up symlinks on upgrade.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 10:42:21 +0200

glx-alternatives (0.7.3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Continue building glx-alternative-fglrx for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jun 2016 15:14:17 +0200

glx-alternatives (0.7.3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Bump Standards-Version to 3.9.8. No changes needed.
  * *.postinst: Activate the ldconfig trigger, don't run ldconfig.
  * Stop building glx-alternative-fglrx.
  * Update Lintian overrides.

  [ Luca Boccassi ]
  * glx-alternative-nvidia.postinst: Activate restart-bumblebeed trigger,
    to stop it erroring out when libglx and the nvidia kernel module
    change while it's running.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Jun 2016 14:18:40 +0200

glx-alternatives (0.7.2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Apr 2016 18:45:05 +0200

glx-alternatives (0.7.2) unstable; urgency=medium

  * glx-alternative-nvidia: Bump some Breaks to account for newer
    nvidia-driver(-legacy-*) releases in jessie.
  * Drop Breaks against packages predating wheezy.
  * Update Vcs-Git URL.
  * Bump Standards-Version to 3.9.7. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Mar 2016 20:32:29 +0100

glx-alternatives (0.7.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 19 Nov 2015 18:34:40 +0100

glx-alternatives (0.7.1) unstable; urgency=medium

  * update-glx: New utility and package to simplify switching between
    different glx implementations. In addition to reconfiguring the
    alternatives this triggers further actions that may be needed to complete
    the switch.  (Closes: #789167)
  * glx-alternative-*: Depend on update-glx.
  * glx-alternative-nvidia, update-glx: Play some ping-pong with no-await
    triggers to (hopefully) defer alternatives setup until after the nvidia
    alternative has been setup by nvidia{,-legacy-*}-alternative.
    (Closes: #804328)
  * glx-alternative-nvidia: Raise priority of the /usr/lib/nvidia/bumblebee
    alternative from 95 to 125 if bumblebee-nvidia is installed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Nov 2015 18:20:00 +0100

glx-alternatives (0.7.0) unstable; urgency=medium

  * glx-diversions: Reduce dpkg-divert verboseness.  (Closes: #802597)
  * fglrx-blacklists-radeon.conf: Blacklist amdgpu, too.  (Closes: #803557)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Nov 2015 11:41:59 +0100

glx-alternatives (0.6.93) unstable; urgency=medium

  * Drop the NEWS, use Breaks: bumblebee-nvidia (<< 3.2.1-10~) instead.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Oct 2015 03:06:43 +0200

glx-alternatives (0.6.92) unstable; urgency=medium

  * glx-alternative-nvidia: Add a second alternative
    "/usr/lib/nvidia/bumblebee" that combines the nvidia kernel driver module
    with the MESA libGL as it is needed by hybrid graphics with bumblebee.
  * Add NEWS entry about bumblebee config changes.  (Closes: #802246)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Oct 2015 12:10:39 +0200

glx-alternatives (0.6.91) unstable; urgency=medium

  * glx-alternative-nvidia: Do not ship nvidia-drm-outputclass.conf, moved to
    xserver-xorg-video-nvidia.
  * glx-alternative-nvidia: Do not ship nvidia-blacklists-nouveau.conf and
    nvidia-load.conf, moved to nvidia-kernel-support.
  * glx-alternative-nvidia: Provide slave alternatives for
    - /usr/share/X11/xorg.conf.d/nvidia-drm-outputclass.conf
    - /etc/modprobe.d/nvidia-blacklists-nouveau.conf
    - /etc/modprobe.d/nvidia.conf
    - /etc/modules-load.d/nvidia.conf
  * Upload to unstable.  (Closes: #799948, #801330)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Oct 2015 15:50:39 +0200

glx-alternatives (0.6.90) experimental; urgency=medium

  * Re-enable nvidia-drm-outputclass.conf slave alternative. (Reopens #799948)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 05 Oct 2015 22:04:50 +0200

glx-alternatives (0.6.1) unstable; urgency=medium

  * glx-alternative-nvidia: Enable the alternative for headless CUDA setups,
    too, which primarily need the nouveau blacklist.  (Closes: #795262)
  * Temporarily disable the nvidia-drm-outputclass.conf slave alternative.
    (Closes: #799948)
  * Use devref's 'pathfind' instead of 'test -x /ab/solute/path'.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 05 Oct 2015 21:43:25 +0200

glx-alternatives (0.6.0) unstable; urgency=medium

  * glx-alternative-nvidia: Support Xorg autoconfiguration without xorg.conf
    via /usr/share/X11/xorg.conf.d/nvidia-drm-outputclass.conf.
    Therefore enable loading the kernel module automatically via
    /etc/modules-load.d/nvidia-load.conf.
  * Convert package repository from SVN to GIT.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 24 Sep 2015 02:05:26 +0200

glx-alternatives (0.5.1) unstable; urgency=medium

  * glx-alternative-{fglrx,nvidia}: Fall back to MESA for each EGL/GLES
    library individually.  (Closes: #766169, #766246)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Oct 2014 01:05:56 +0200

glx-alternatives (0.5.0) unstable; urgency=medium

  * glx-diversions: divert libEGL.so*, libGLESv1_CM.so*, libGLESv2.so*.
  * MESA, NVIDIA: Add alternatives for libEGL.so*, libGLESv1_CM.so*,
    libGLESv2.so*.  (Closes: #765793)
  * glx-alternative-mesa: Use a script to generate triggers.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Oct 2014 10:49:00 +0200

glx-alternatives (0.4.2) unstable; urgency=medium

  * glx-alternative-fglrx: Do not use fglrx-libglx.so in igpu mode.
    (Closes: #735047)
  * Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Sep 2014 19:55:06 +0200

glx-alternatives (0.4.1) unstable; urgency=low

  * glx-alternative-fglrx: Add a second alternative "/usr/lib/fglrx/igpu" that
    combines the fglrx driver module with the MESA libGL as it is needed by
    hybrid graphics in igpu mode.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 24 Oct 2013 03:08:49 +0200

glx-alternatives (0.4.0) unstable; urgency=low

  * Accept libGL.so.1.2.0 (from MESA 9.x) as a valid target of the diverted
    libGL.so.1 symlink.  (Closes: #712304)
  * Add triggers for arm-linux-gnueabihf, too.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 17 Aug 2013 06:11:06 +0200

glx-alternatives (0.3.90) experimental; urgency=low

  * Add arm-linux-gnueabihf support and enable building on armhf.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Jul 2013 11:58:19 +0200

glx-alternatives (0.3.0) unstable; urgency=low

  * glx-diversions: Divert libGL.so.1.2.0 from MESA 9.x.  (Closes: #704914)
  * Drop maintainer script parts intended for updates from versions predating
    wheezy.
  * Use canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Switch to debhelper 9.
  * Update my email address and remove DMUA.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2013 15:25:15 +0200

glx-alternatives (0.2.90) experimental; urgency=low

  * Upload to experimental.
  * glx-alternative-nvidia: Handle blacklisting of the nouveau kernel module
    to avoid leaving the blacklist behind if the Nvidia driver is disabled:
    - ship blacklist as /etc/nvidia/nvidia-blacklists-nouveau.conf
    - add a slave alternative that links it into /etc/modprobe.d/
    - add initramfs hook to properly install the file (and not a dangling
      symlink) in the initrd
  * glx-alternative-fglrx: Handle blacklisting of the radeon kernel module
    to avoid leaving the blacklist behind if the Fglrx driver is disabled:
    - ship blacklist as /etc/ati/fglrx-blacklists-radeon.conf
    - add a slave alternative that links it into /etc/modprobe.d/
    - add initramfs hook to properly install the file (and not a dangling
      symlink) in the initrd

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 02 Aug 2012 14:27:52 +0200

glx-alternatives (0.2.2) unstable; urgency=low

  * Run ldconfig after updating diversions and alternatives.
  * Bump Standards-Version: 3.9.3, no changes needed.
  * Use the final copyright-format 1.0 URL.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 30 Jun 2012 15:19:25 +0200

glx-alternatives (0.2.1) unstable; urgency=low

  * glx-diversions: Ship empty directories /usr/lib/xorg/modules/extensions
    and /usr/lib/debug/usr/lib/xorg/modules/extensions to ensure clean
    removal of obsolete diversions.  (Closes: #658658)
  * Remove cleanup code for upgrades from experimental 0.0.* versions.
  * debian/copyright: Update to dep5.mdwn?revision=202.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 05 Feb 2012 11:52:44 +0100

glx-alternatives (0.2.0) unstable; urgency=low

  * Re-upload as 0.2.0.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 04 Nov 2011 09:16:50 +0100

glx-alternatives (0.1.94) unstable; urgency=low

  * Link the documentation directories to make README.Debian available in all
    packages.
  * Document how to solve problems with dlopen(libGL.so).
  * The installation of libgl1-fglrx-glx but not fglrx-driver (e.g. in a
    chroot) is also valid and needs to enable the fglrx alternative.
  * Add preliminary support for MESA libraries in /usr/lib[/<triplet>]/mesa.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 15 Sep 2011 11:57:20 +0200

glx-alternatives (0.1.93) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 30 Aug 2011 17:32:30 +0200

glx-alternatives (0.1.92) experimental; urgency=low

  * Upload to experimental.
  * Let glx-alternative-fglrx use fglrx-libglx.so instead of libglx.so.
  * Add Breaks: fglrx-driver (<< 1:11-7-4) as older versions did not ship the
    file with new name.
  * Install the nvidia/fglrx alternatives of libglx.so as
      /usr/lib/xorg/modules/linux/libglx.so
    instead of
      /usr/lib/xorg/modules/modules/libglx.so
    so that they come earlier in the search path.
  * No longer divert /usr/lib/xorg/modules/modules/libglx.so and remove its
    existing diversions.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 25 Aug 2011 08:53:25 +0200

glx-alternatives (0.1.91) unstable; urgency=low

  * Upload to unstable.
  * Drop slave link /etc/X11/xorg.conf.d/nvidia.conf, looking for a better
    solution.
  * Give a hint to move away or delete the conflicting files found by
    glx-diversions postinst.  (Closes: #634087)

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 19 Jul 2011 22:06:10 +0200

glx-alternatives (0.1.90) experimental; urgency=low

  * Upload to experimental.
  * Add slave links needed by nvidia legacy-* packages: libGLcore.so.1,
    libnvidia-tls.so.1, tls/libnvidia-tls.so.1.
  * Trigger addition of the alternatives on a few important slaves, just a
    remaining config file is insufficient to provide the alternative.
  * Only add slave links if the destination directory exists.
  * Rename the libGL.so alternative libGL.so-master.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 06 Jul 2011 17:56:19 +0200

glx-alternatives (0.1.4) unstable; urgency=medium

  * Set urgency to medium to not delay nvidia and fglrx even further.
  * Support diversion migration from local diversions.  (Closes: #630225)
  * Fix error message redirection to stderr, not "./2".  (Closes: #632197)
  * Add slave link to create /etc/X11/xorg.conf.d/nvidia.conf.
  * Improve bug-script and error reporting.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 04 Jul 2011 22:25:29 +0200

glx-alternatives (0.1.3) unstable; urgency=low

  * Use 'dpkg-divert --truename ...' instead of parsing locale-dependent
    output from 'dpkg-divert --list ...'.  (Closes: #631938)
  * Use LC_ALL=C when parsing dpkg-query output.
  * Add bug-script and bug-control to gather a bit more information.
  * Add bug reporting instructions to glx-diversions.README.Debian.
  * Add versioned Breaks: fglrx-driver to glx-diversions.  Add a Debian
    revision to versioned fglrx-* relationships because the fglrx upstream
    version number contains a hyphen.
  * Add Suggests: libgl1-mesa-glx, nvidia-glx or fglrx-driver to the
    respective glx-alternative-<vendor> package.
  * Add Conflicts: libgl1-mesa-swx11.  libGL.so.1.5.* is not divertable
    because its name changes with each new upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 29 Jun 2011 15:49:01 +0200

glx-alternatives (0.1.2) unstable; urgency=low

  * Activate the correct trigger from glx-alternative-fglrx postinst.
    (Closes: #631680)

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 26 Jun 2011 16:02:47 +0200

glx-alternatives (0.1.1) unstable; urgency=low

  * Clean up slave alternatives from experimental packages.  (Closes: #631496)
  * Ship the directories where alternatives will create slave links.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 25 Jun 2011 16:06:59 +0200

glx-alternatives (0.1) unstable; urgency=low

  * Upload to unstable.
  * Put slave alternatives into a private namespace (prefix 'glx--').
  * Document the alternatives/diversions in glx-diversions.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 24 Jun 2011 02:44:16 +0200

glx-alternatives (0.0.1) experimental; urgency=low

  * Switch to multiarch: declare all packages Multi-Arch: foreign.
  * Merge libgl1-diversions and libglx-diversions into glx-diversions.
  * Update package relationships for proper removal: glx-diversions recommends
    glx-alternative-mesa and glx-alternative-* depends on glx-diversions.
  * Move libGL.so alternative handling to glx-alternative-mesa.
  * Remove obsolete alternatives libGL.so.1, libglx.so before adding new ones.
  * Add Breaks against all old packages having libGL.so, libGL.so.1 or
    libglx.so alternatives.
  * Only add exisiting files as slave links to the alternatives.  The triggers
    take care for updating the alternatives whenever interesting files appear
    or disappear.
  * glx-alternative-nvidia: add slave alternative support for nvidia_drv.so,
    libnvidia-cfg.so.1, libXvMCNVIDIA{,_dynamic}.so.1, nvidia-bug-report.sh.
  * Add fglrx support: take over diversions and implement alternative.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 20 Jun 2011 01:53:56 +0200

glx-alternatives (0.0.0) experimental; urgency=low

  * Initial release, upload to experimental.
  * Split glx alternatives handling from nvidia-graphics-drivers to this new
    source package: glx-alternatives, put into contrib.
    - libgl1-nvidia-alternatives -> libgl1-diversions
    - libglx-nvidia-alternatives -> libglx-diversions
  * Put the diverted files into /usr/lib/mesa-diverted[/<triplet>].
  * Divert /usr/lib/<triplet>/libGL.so*, too.
  * Add packages glx-alternative-{mesa,nvidia,fglrx} which register an
    alternative 'glx' that uses the vendor specific libraries.
  * glx-alternative-fglrx is not yet implemented in this experimental upload.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 17 Jun 2011 11:21:14 +0200
